id: com.roundabout_host.roundabout.Izvor
runtime: org.freedesktop.Platform
runtime-version: "24.08"
sdk: org.freedesktop.Sdk
command: izvor
finish-args:
  - --share=network
  - --filesystem=host
  - --socket=fallback-x11
  - --share=ipc
  - --socket=wayland
  - --talk-name=org.freedesktop.Flatpak
modules:
  # flatpak-pip-generator
  - pypi-dependencies.json
  - name: izvor
    buildsystem: simple
    build-commands:
      - |
        PYTHON_NAME=python$(python3 -c 'import sys; print("{}.{}".format(*sys.version_info))') 
        mkdir -p /app/lib/$PYTHON_NAME/site-packages/izvor_utils
        cp -r ./izvor_utils /app/lib/$PYTHON_NAME/site-packages/
      - mkdir -p /app/bin /app/share/izvor
      - cp -r ./src/* /app/share/izvor/
      - chmod +x /app/share/izvor/__init__.py
      - ln -s /app/share/izvor/__init__.py /app/bin/izvor
      - install -Dm644 com.roundabout_host.roundabout.Izvor.svg -t /app/share/icons/hicolor/scalable/apps/
      - install -Dm644 com.roundabout_host.roundabout.Izvor.desktop -t /app/share/applications/
    sources:
      - type: git
        url: https://roundabout-host.com/git/roundabout/izvor
        tag: v1.0.0
        commit: ab0623a6d2504f93c650c7d58ed5cfaeb7b1a974